Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Fix delay semantic (hopefully)
[simgrid.git] / configure
index 41abeac..4e0c1ec 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 1.163 .
+# From configure.ac Revision: 1.172 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61 for simgrid 3.3-cvs.
 #
@@ -1535,6 +1535,8 @@ Optional Features:
   --disable-compile-optimizations
                           use compiler optimizations (default=yes, unless if
                           CFLAGS is explicitly set)
+  --disable-java          To not compile the Java bindings even if the tools
+                          are found
 
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
@@ -4586,7 +4588,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4589 "configure"' > conftest.$ac_ext
+  echo '#line 4591 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7348,11 +7350,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7351: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7353: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7355: \$? = $ac_status" >&5
+   echo "$as_me:7357: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7616,11 +7618,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7619: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7621: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7623: \$? = $ac_status" >&5
+   echo "$as_me:7625: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7720,11 +7722,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7723: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7725: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7727: \$? = $ac_status" >&5
+   echo "$as_me:7729: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10017,7 +10019,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10020 "configure"
+#line 10022 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10117,7 +10119,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10120 "configure"
+#line 10122 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12453,11 +12455,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12456: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12458: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12460: \$? = $ac_status" >&5
+   echo "$as_me:12462: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -12557,11 +12559,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12560: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12562: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12564: \$? = $ac_status" >&5
+   echo "$as_me:12566: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14118,11 +14120,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14121: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14123: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14125: \$? = $ac_status" >&5
+   echo "$as_me:14127: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14222,11 +14224,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14225: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14227: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14229: \$? = $ac_status" >&5
+   echo "$as_me:14231: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16409,11 +16411,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16412: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16414: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16416: \$? = $ac_status" >&5
+   echo "$as_me:16418: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16677,11 +16679,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16680: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16682: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16684: \$? = $ac_status" >&5
+   echo "$as_me:16686: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16781,11 +16783,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16784: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16786: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16788: \$? = $ac_status" >&5
+   echo "$as_me:16790: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -25300,8 +25302,10 @@ if test xpthread=xyes ; then
     # if we use them to implement the xbt_context
     SIMGRID_DEP="-lpthread"
   fi
-  # we need them in any case for the gras lib (which is multithreaded)
-  GRAS_DEP="-lpthread"
+  # we need them in any case for the gras lib (which is multithreaded), but on windows (of course)
+  if test "x$with_context" != "xwindows" ; then
+    GRAS_DEP="-lpthread"
+  fi
 fi
 
 { echo "$as_me:$LINENO: checking for csdp" >&5
@@ -25720,7 +25724,21 @@ echo "${ECHO_T}" >&6; }
 echo "${ECHO_T}${T_MD}Check for Java bindings...${T_ME}" >&6; }
 
 # Java cruft
-# Extract the first word of "javac", so it can be a program name with args.
+# Check whether --enable-java was given.
+if test "${enable_java+set}" = set; then
+  enableval=$enable_java; want_java=$enableval
+else
+  want_java=yes
+fi
+
+if test "x$want_java" != "xyes" ; then
+   { echo "$as_me:$LINENO: checking whether to compile java bindings" >&5
+echo $ECHO_N "checking whether to compile java bindings... $ECHO_C" >&6; }
+   { echo "$as_me:$LINENO: result: disabled by user" >&5
+echo "${ECHO_T}disabled by user" >&6; }
+   use_java="disabled by user"
+else
+  # Extract the first word of "javac", so it can be a program name with args.
 set dummy javac; ac_word=$2
 { echo "$as_me:$LINENO: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
@@ -25761,7 +25779,7 @@ echo "${ECHO_T}no" >&6; }
 fi
 
 
-# Extract the first word of "java ", so it can be a program name with args.
+  # Extract the first word of "java ", so it can be a program name with args.
 set dummy java ; ac_word=$2
 { echo "$as_me:$LINENO: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
@@ -25802,7 +25820,7 @@ echo "${ECHO_T}no" >&6; }
 fi
 
 
-# Extract the first word of "jar  ", so it can be a program name with args.
+  # Extract the first word of "jar  ", so it can be a program name with args.
 set dummy jar  ; ac_word=$2
 { echo "$as_me:$LINENO: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 
 done
 
-{ echo "$as_me:$LINENO: checking whether to compile java bindings" >&5
+  { echo "$as_me:$LINENO: checking whether to compile java bindings" >&5
 echo $ECHO_N "checking whether to compile java bindings... $ECHO_C" >&6; }
-if test -n "$JAVAC"   \
-   && test -n "$JAVA" \
-   && test -n "$JAR"  \
-   && test "x$ac_cv_header_jni_h"="xyes" ; then
+  if test -n "$JAVAC"   \
+     && test -n "$JAVA" \
+     && test -n "$JAR"  \
+     && test "x$ac_cv_header_jni_h" = "xyes" ; then
 
-   use_java="yes"
-else
-   use_java="no"
-fi
-{ echo "$as_me:$LINENO: result: $use_java" >&5
+     use_java="yes"
+  else
+     use_java="no"
+  fi
+  { echo "$as_me:$LINENO: result: $use_java" >&5
 echo "${ECHO_T}$use_java" >&6; }
- if test "x$use_java"="xyes"; then
+fi
+ if test "x$use_java" = "xyes"; then
   HAVE_JAVA_TRUE=
   HAVE_JAVA_FALSE='#'
 else
@@ -26551,8 +26570,12 @@ ac_config_files="$ac_config_files doc/Makefile doc/Doxyfile"
 #      examples/gras/p2p/chord/Makefile
 #      examples/gras/p2p/can/Makefile
 
+if test "x$use_java" = "xyes" ; then
+ac_config_files="$ac_config_files examples/java/Makefile examples/java/basic/Makefile examples/java/comm_time/Makefile examples/java/suspend/Makefile examples/java/ping_pong/Makefile"
+
+fi
 
-ac_config_files="$ac_config_files examples/Makefile examples/msg/Makefile examples/msg/basic.tesh examples/msg/small_plat.tesh examples/msg/suspend.tesh examples/msg/flexml_bypass.tesh examples/simdag/Makefile examples/simdag/test_simdag examples/gras/Makefile examples/gras/ping/Makefile examples/gras/rpc/Makefile examples/gras/timer/Makefile examples/gras/chrono/Makefile examples/gras/mutual_exclusion/simple_token/Makefile examples/gras/mmrpc/Makefile examples/gras/pmm/Makefile examples/gras/all2all/Makefile examples/amok/Makefile examples/amok/bandwidth/Makefile examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl examples/amok/saturate/Makefile examples/amok/saturate/test_sg examples/amok/saturate/test_rl examples/java/Makefile examples/java/basic/Makefile examples/java/comm_time/Makefile examples/java/suspend/Makefile examples/java/ping_pong/Makefile"
+ac_config_files="$ac_config_files examples/Makefile examples/msg/Makefile examples/simdag/Makefile examples/simdag/test_simdag examples/gras/Makefile examples/gras/ping/Makefile examples/gras/rpc/Makefile examples/gras/spawn/Makefile examples/gras/synchro/Makefile examples/gras/timer/Makefile examples/gras/chrono/Makefile examples/gras/mutual_exclusion/simple_token/Makefile examples/gras/mmrpc/Makefile examples/gras/pmm/Makefile examples/gras/all2all/Makefile examples/amok/Makefile examples/amok/bandwidth/Makefile examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl examples/amok/saturate/Makefile examples/amok/saturate/test_sg examples/amok/saturate/test_rl"
 
 
 
     "testsuite/gras/trp_file_usage") CONFIG_FILES="$CONFIG_FILES testsuite/gras/trp_file_usage" ;;
     "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
     "doc/Doxyfile") CONFIG_FILES="$CONFIG_FILES doc/Doxyfile" ;;
+    "examples/java/Makefile") CONFIG_FILES="$CONFIG_FILES examples/java/Makefile" ;;
+    "examples/java/basic/Makefile") CONFIG_FILES="$CONFIG_FILES examples/java/basic/Makefile" ;;
+    "examples/java/comm_time/Makefile") CONFIG_FILES="$CONFIG_FILES examples/java/comm_time/Makefile" ;;
+    "examples/java/suspend/Makefile") CONFIG_FILES="$CONFIG_FILES examples/java/suspend/Makefile" ;;
+    "examples/java/ping_pong/Makefile") CONFIG_FILES="$CONFIG_FILES examples/java/ping_pong/Makefile" ;;
     "examples/Makefile") CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
     "examples/msg/Makefile") CONFIG_FILES="$CONFIG_FILES examples/msg/Makefile" ;;
-    "examples/msg/basic.tesh") CONFIG_FILES="$CONFIG_FILES examples/msg/basic.tesh" ;;
-    "examples/msg/small_plat.tesh") CONFIG_FILES="$CONFIG_FILES examples/msg/small_plat.tesh" ;;
-    "examples/msg/suspend.tesh") CONFIG_FILES="$CONFIG_FILES examples/msg/suspend.tesh" ;;
-    "examples/msg/flexml_bypass.tesh") CONFIG_FILES="$CONFIG_FILES examples/msg/flexml_bypass.tesh" ;;
     "examples/simdag/Makefile") CONFIG_FILES="$CONFIG_FILES examples/simdag/Makefile" ;;
     "examples/simdag/test_simdag") CONFIG_FILES="$CONFIG_FILES examples/simdag/test_simdag" ;;
     "examples/gras/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/Makefile" ;;
     "examples/gras/ping/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/ping/Makefile" ;;
     "examples/gras/rpc/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/rpc/Makefile" ;;
+    "examples/gras/spawn/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/spawn/Makefile" ;;
+    "examples/gras/synchro/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/synchro/Makefile" ;;
     "examples/gras/timer/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/timer/Makefile" ;;
     "examples/gras/chrono/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/chrono/Makefile" ;;
     "examples/gras/mutual_exclusion/simple_token/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/mutual_exclusion/simple_token/Makefile" ;;
     "examples/amok/saturate/Makefile") CONFIG_FILES="$CONFIG_FILES examples/amok/saturate/Makefile" ;;
     "examples/amok/saturate/test_sg") CONFIG_FILES="$CONFIG_FILES examples/amok/saturate/test_sg" ;;
     "examples/amok/saturate/test_rl") CONFIG_FILES="$CONFIG_FILES examples/amok/saturate/test_rl" ;;
-    "examples/java/Makefile") CONFIG_FILES="$CONFIG_FILES examples/java/Makefile" ;;
-    "examples/java/basic/Makefile") CONFIG_FILES="$CONFIG_FILES examples/java/basic/Makefile" ;;
-    "examples/java/comm_time/Makefile") CONFIG_FILES="$CONFIG_FILES examples/java/comm_time/Makefile" ;;
-    "examples/java/suspend/Makefile") CONFIG_FILES="$CONFIG_FILES examples/java/suspend/Makefile" ;;
-    "examples/java/ping_pong/Makefile") CONFIG_FILES="$CONFIG_FILES examples/java/ping_pong/Makefile" ;;
 
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
@@ -28117,7 +28138,6 @@ done
     "examples/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28128,29 +28148,6 @@ done
     "examples/msg/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/msg/basic.tesh":F)
-    for file in                                                 \
-     \
-     examples/msg/run_msg_test                                  \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/msg/small_plat.tesh":F)
-    for file in                                                 \
-     \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28158,10 +28155,9 @@ done
       test -e $file && chmod +x $file;                          \
     done
  ;;
-    "examples/msg/suspend.tesh":F)
+    "examples/simdag/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28169,10 +28165,9 @@ done
       test -e $file && chmod +x $file;                          \
     done
  ;;
-    "examples/msg/flexml_bypass.tesh":F)
+    "examples/simdag/test_simdag":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28180,10 +28175,9 @@ done
       test -e $file && chmod +x $file;                          \
     done
  ;;
-    "examples/simdag/Makefile":F)
+    "examples/gras/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28191,10 +28185,9 @@ done
       test -e $file && chmod +x $file;                          \
     done
  ;;
-    "examples/simdag/test_simdag":F)
+    "examples/gras/ping/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28202,10 +28195,9 @@ done
       test -e $file && chmod +x $file;                          \
     done
  ;;
-    "examples/gras/Makefile":F)
+    "examples/gras/rpc/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28213,10 +28205,9 @@ done
       test -e $file && chmod +x $file;                          \
     done
  ;;
-    "examples/gras/ping/Makefile":F)
+    "examples/gras/spawn/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28224,10 +28215,9 @@ done
       test -e $file && chmod +x $file;                          \
     done
  ;;
-    "examples/gras/rpc/Makefile":F)
+    "examples/gras/synchro/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28238,7 +28228,6 @@ done
     "examples/gras/timer/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28249,7 +28238,6 @@ done
     "examples/gras/chrono/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28260,7 +28248,6 @@ done
     "examples/gras/mutual_exclusion/simple_token/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28271,7 +28258,6 @@ done
     "examples/gras/mmrpc/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28282,7 +28268,6 @@ done
     "examples/gras/pmm/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28293,7 +28278,6 @@ done
     "examples/gras/all2all/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28304,7 +28288,6 @@ done
     "examples/amok/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28315,7 +28298,6 @@ done
     "examples/amok/bandwidth/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28326,7 +28308,6 @@ done
     "examples/amok/bandwidth/test_sg":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28337,7 +28318,6 @@ done
     "examples/amok/bandwidth/test_rl":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28348,7 +28328,6 @@ done
     "examples/amok/saturate/Makefile":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28359,7 +28338,6 @@ done
     "examples/amok/saturate/test_sg":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
@@ -28370,62 +28348,6 @@ done
     "examples/amok/saturate/test_rl":F)
     for file in                                                 \
      \
-     examples/msg/run_msg_test                                  \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/java/Makefile":F)
-    for file in                                                 \
-     \
-     examples/msg/run_msg_test                                  \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/java/basic/Makefile":F)
-    for file in                                                 \
-     \
-     examples/msg/run_msg_test                                  \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/java/comm_time/Makefile":F)
-    for file in                                                 \
-     \
-     examples/msg/run_msg_test                                  \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/java/suspend/Makefile":F)
-    for file in                                                 \
-     \
-     examples/msg/run_msg_test                                  \
-     examples/simdag/test_simdag                               \
-     examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
-     examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \
-    ; do                                                        \
-      test -e $file && chmod +x $file;                          \
-    done
- ;;
-    "examples/java/ping_pong/Makefile":F)
-    for file in                                                 \
-     \
-     examples/msg/run_msg_test                                  \
      examples/simdag/test_simdag                               \
      examples/amok/bandwidth/test_sg examples/amok/bandwidth/test_rl \
      examples/amok/saturate/test_sg  examples/amok/saturate/test_rl \